MediaWiki:Common.css

Aus CMO

Hinweis: Leere nach dem Veröffentlichen den Browser-Cache, um die Änderungen sehen zu können.

  • Firefox/Safari: Umschalttaste drücken und gleichzeitig Aktualisieren anklicken oder entweder Strg+F5 oder Strg+R (⌘+R auf dem Mac) drücken
  • Google Chrome: Umschalttaste+Strg+R (⌘+Umschalttaste+R auf dem Mac) drücken
  • Edge: Strg+F5 drücken oder Strg drücken und gleichzeitig Aktualisieren anklicken
/* Das folgende CSS wird für alle Benutzeroberflächen geladen. */
.box-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1em;
}

.box-grid .mw-tpl-colorbox.full-span {
  grid-column: 1 / -1;
}

@media (max-width: 600px) {
  .box-grid {
    grid-template-columns: 1fr;
  }
}

.mw-tpl-colorbox {
box-sizing: border-box;
margin: 0.5em 0.5em 1em 0.5em;
border-radius: 0.2em;
background: var(--background-color-base, #fff);
color: var(--color-base, #202122);
border: 1px solid var(--border-color-base, #a2a9b1);
}

.mw-tpl-colorbox-title {
background: var(--background-color-interactive, #eaecf0);
color: var(--color-emphasized, #000000);
border-radius: 0.2em 0.2em 0 0;
display: flex;
gap: 0.5rem;
line-height: 2.4rem;
}

.mw-tpl-colorbox-title--linked:hover {
background: var(--background-color-progressive-subtle, #eaf3ff);
}

.mw-tpl-colorbox-title > *:first-child {
padding-left: 1rem;
}

.mw-tpl-colorbox-title > *:last-child {
padding-right: 1rem;
}

.mw-tpl-colorbox-title > strong,
.mw-tpl-colorbox-title > a {
flex-grow: 1;
}

.mw-tpl-colorbox-title-icon {
opacity: 0.8;
}

.mw-tpl-colorbox-title-corner {
float: right;
font-size: 0.7em;
}

.mw-tpl-colorbox-content {
padding: 0.5rem 1rem;
}

.mw-tpl-colorbox-content::after {
content: "";
display: block;
clear: both;
}